MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027126Open CASCADE[OCCT] OCCT:Testspublic2016-02-02 16:062016-04-20 15:50
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027126: Create command checktrinfo to verify meshes
DescriptionCreate command checktrinfo to check output of command trinfo and compare it with reference values.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026833closedabv Create command checkview containing all viewer types 

-  Notes
(0050356)
git (administrator)
2016-02-02 16:09

Branch CR27126 has been created by ski.

SHA-1: b82cbaf35fcc7d465f8dbfd288e55ddd61f95523


Detailed log of new commits:

Author: ski
Date: Tue Feb 2 16:09:11 2016 +0300

    0027126: Create command checktrinfo to verify meshes
    
    Command checktrinfo was created.
    Test cases were updated to use command checktrinfo.
(0050361)
git (administrator)
2016-02-02 17:14

Branch CR27126 has been updated forcibly by ski.

SHA-1: ef9c5994eb333134099980a104e4d54f1b2814ee
(0050362)
ski (developer)
2016-02-02 17:52

OCCT branch CR27126 was created.

Command checktrinfo was created, test cases and documentation were updated.

Please, review.
(0050368)
abv (manager)
2016-02-02 18:36

No remarks, please test
(0050388)
mkv (tester)
2016-02-03 17:06

Dear BugMaster,
Branch CR27126 from occt git-repository was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: ef9c5994eb333134099980a104e4d54f1b2814ee

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90381185 / 89352843 [+1.15%]
Total CPU difference: 19077.719999999867 / 18836.759999999817 [+1.28%]

Testing on Windows:
occt component :
Total MEMORY difference: 57296547 / 57306359 [-0.02%]
Total CPU difference: 17994.028945598806 / 18574.243464898933 [-3.12%]

There are following differences in images found by testdiff.
http://occt-tests/CR27126-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27126-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean bcut_simple M2: M2.png differs
IMAGE boolean bcommon_simple I2: I2.png differs
IMAGE boolean gdml_private I6: I6.png differs
IMAGE boolean bopcommon_complex L1: L1.png differs
IMAGE boolean bopcommon_complex K9: K9.png differs
IMAGE boolean bopcommon_complex K6: K6.png differs
IMAGE boolean volumemaker B5: B5.png differs
IMAGE boolean volumemaker C3: C3.png differs
IMAGE boolean volumemaker B3: B3.png differs
IMAGE boolean volumemaker B6: B6.png differs
(0050389)
mkv (tester)
2016-02-03 17:07

Dear ski,
Branch CR27126 has been rejected due to:
- differences in images
(0050398)
ski (developer)
2016-02-03 17:47

Dear mkv,

The reason of differences in images is parent branch 0026833.
differences in images were described in 0026833.

All differences are OK.
(0050405)
mkv (tester)
2016-02-03 19:50

Dear BugMaster,
Branch CR27126 is TESTED.
(0052899)
git (administrator)
2016-04-17 13:40

Branch CR27126 has been deleted by kgv.

SHA-1: ef9c5994eb333134099980a104e4d54f1b2814ee

- Related Changesets
occt: master 5d7a0489
Timestamp: 2016-02-02 14:14:15
Author: abv
Committer: abv
Details ] Diff ]
0027126: Create command checktrinfo to verify meshes

Command checktrinfo was created.
Test cases were updated to use command checktrinfo.
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/CheckCommands.tcl Diff ] File ]
mod - tests/bugs/demo/bug25445 Diff ] File ]
mod - tests/bugs/fclasses/bug26922 Diff ] File ]
mod - tests/bugs/heal/bug26244 Diff ] File ]
mod - tests/bugs/iges/buc60820_1 Diff ] File ]
mod - tests/bugs/iges/buc60820_2 Diff ] File ]
mod - tests/bugs/iges/buc60823 Diff ] File ]
mod - tests/bugs/iges/bug22888 Diff ] File ]
mod - tests/bugs/iges/bug306 Diff ] File ]
mod - tests/bugs/mesh/bug21593 Diff ] File ]
mod - tests/bugs/mesh/bug22778 Diff ] File ]
mod - tests/bugs/mesh/bug23105 Diff ] File ]
mod - tests/bugs/mesh/bug23106 Diff ] File ]
mod - tests/bugs/mesh/bug23614_1 Diff ] File ]
mod - tests/bugs/mesh/bug23614_2 Diff ] File ]
mod - tests/bugs/mesh/bug23614_3 Diff ] File ]
mod - tests/bugs/mesh/bug23614_4 Diff ] File ]
mod - tests/bugs/mesh/bug23631 Diff ] File ]
mod - tests/bugs/mesh/bug24127 Diff ] File ]
mod - tests/bugs/mesh/bug24775 Diff ] File ]
mod - tests/bugs/mesh/bug24938 Diff ] File ]
mod - tests/bugs/mesh/bug25157 Diff ] File ]
mod - tests/bugs/mesh/bug25281 Diff ] File ]
mod - tests/bugs/mesh/bug25519 Diff ] File ]
mod - tests/bugs/modalg_1/bug109 Diff ] File ]
mod - tests/bugs/modalg_1/bug179 Diff ] File ]
mod - tests/bugs/modalg_2/bug263 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_0 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_10 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_11 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_12 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_4 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_5 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_6 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_7 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_8 Diff ] File ]
mod - tests/bugs/modalg_2/bug264_9 Diff ] File ]
mod - tests/bugs/modalg_2/bug269_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug269_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug269_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug269_4 Diff ] File ]
mod - tests/bugs/modalg_2/bug287 Diff ] File ]
mod - tests/bugs/modalg_2/bug291 Diff ] File ]
mod - tests/bugs/modalg_2/bug292 Diff ] File ]
mod - tests/bugs/modalg_2/bug347_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug347_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug358 Diff ] File ]
mod - tests/bugs/modalg_2/bug400 Diff ] File ]
mod - tests/bugs/modalg_2/bug481 Diff ] File ]
mod - tests/bugs/modalg_6/bug26897 Diff ] File ]
mod - tests/bugs/moddata_1/buc60707 Diff ] File ]
mod - tests/bugs/moddata_1/bug1416 Diff ] File ]
mod - tests/bugs/moddata_1/bug15 Diff ] File ]
mod - tests/bugs/moddata_1/bug15519 Diff ] File ]
mod - tests/bugs/moddata_1/bug16 Diff ] File ]
mod - tests/bugs/moddata_1/bug17 Diff ] File ]
mod - tests/bugs/moddata_1/bug20 Diff ] File ]
mod - tests/bugs/moddata_1/bug21121 Diff ] File ]
mod - tests/bugs/moddata_1/bug21122 Diff ] File ]
mod - tests/bugs/moddata_1/bug22759 Diff ] File ]
mod - tests/bugs/moddata_2/bug256 Diff ] File ]
mod - tests/bugs/moddata_2/bug258_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug258_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug428 Diff ] File ]
mod - tests/bugs/moddata_2/bug613_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug613_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug6412 Diff ] File ]
mod - tests/bugs/moddata_2/fra62476_1 Diff ] File ]
mod - tests/bugs/moddata_2/fra62476_2 Diff ] File ]
mod - tests/bugs/moddata_2/pro20333 Diff ] File ]
mod - tests/bugs/moddata_3/bug24959_1 Diff ] File ]
mod - tests/bugs/moddata_3/bug24959_2 Diff ] File ]
mod - tests/bugs/moddata_3/bug25179 Diff ] File ]
mod - tests/bugs/moddata_3/bug26359 Diff ] File ]
mod - tests/bugs/step/bug348_1 Diff ] File ]
mod - tests/bugs/step/bug348_2 Diff ] File ]
mod - tests/bugs/step/bug348_3 Diff ] File ]
mod - tests/bugs/step/bug348_4 Diff ] File ]
mod - tests/bugs/stlvrml/bug25050 Diff ] File ]
mod - tests/bugs/stlvrml/bug25279 Diff ] File ]
mod - tests/bugs/vis/buc60661 Diff ] File ]
mod - tests/bugs/vis/buc60858 Diff ] File ]
mod - tests/bugs/vis/bug19_1 Diff ] File ]
mod - tests/bugs/vis/bug19_2 Diff ] File ]
mod - tests/bugs/vis/bug20373 Diff ] File ]
mod - tests/bugs/vis/bug21578 Diff ] File ]
mod - tests/bugs/vis/bug22188 Diff ] File ]
mod - tests/bugs/vis/bug22304 Diff ] File ]
mod - tests/bugs/vis/bug22502 Diff ] File ]
mod - tests/bugs/vis/bug22652 Diff ] File ]
mod - tests/bugs/vis/bug22735 Diff ] File ]
mod - tests/bugs/vis/bug23200 Diff ] File ]
mod - tests/bugs/vis/bug288_1 Diff ] File ]
mod - tests/bugs/vis/bug288_2 Diff ] File ]
mod - tests/bugs/vis/bug288_3 Diff ] File ]
mod - tests/bugs/vis/bug288_4 Diff ] File ]
mod - tests/bugs/vis/bug288_5 Diff ] File ]
mod - tests/bugs/vis/bug316 Diff ] File ]
mod - tests/bugs/vis/bug319 Diff ] File ]
mod - tests/bugs/vis/bug331 Diff ] File ]
mod - tests/bugs/vis/bug344 Diff ] File ]
mod - tests/bugs/vis/bug364 Diff ] File ]
mod - tests/bugs/vis/bug4894 Diff ] File ]
mod - tests/bugs/xde/bug25357 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-02 16:06 ski New Issue
2016-02-02 16:06 ski Assigned To => ski
2016-02-02 16:06 ski Status new => assigned
2016-02-02 16:08 ski Relationship added child of 0026833
2016-02-02 16:08 ski Summary Create command checktrinfo to verify of meshes => Create command checktrinfo to verify meshes
2016-02-02 16:09 git Note Added: 0050356
2016-02-02 17:14 git Note Added: 0050361
2016-02-02 17:52 ski Note Added: 0050362
2016-02-02 17:52 ski Assigned To ski => abv
2016-02-02 17:52 ski Status assigned => resolved
2016-02-02 18:36 abv Note Added: 0050368
2016-02-02 18:36 abv Assigned To abv => bugmaster
2016-02-02 18:36 abv Status resolved => reviewed
2016-02-02 18:49 mkv Assigned To bugmaster => mkv
2016-02-03 17:06 mkv Note Added: 0050388
2016-02-03 17:07 mkv Note Added: 0050389
2016-02-03 17:07 mkv Assigned To mkv => ski
2016-02-03 17:07 mkv Status reviewed => feedback
2016-02-03 17:07 mkv Test case number => Not needed
2016-02-03 17:47 ski Note Added: 0050398
2016-02-03 17:47 ski Assigned To ski => mkv
2016-02-03 17:47 ski Status feedback => reviewed
2016-02-03 19:50 mkv Note Added: 0050405
2016-02-03 19:50 mkv Assigned To mkv => bugmaster
2016-02-03 19:50 mkv Status reviewed => tested
2016-02-04 10:45 abv Target Version 7.1.0 => 7.0.0
2016-02-05 12:49 abv Changeset attached => occt master 5d7a0489
2016-02-05 12:49 abv Assigned To bugmaster => abv
2016-02-05 12:49 abv Status tested => verified
2016-02-05 12:49 abv Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052899
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker